> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List vector stores

> Lists the account's knowledge bases using the OpenAI `vector_store` name. See [Knowledge bases](/guides/knowledge-bases).



## OpenAPI

````yaml /api-reference/vector-stores.json get /v1/vector_stores
openapi: 3.1.0
info:
  title: SynapsAI Vector Stores API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/vector_stores:
    get:
      summary: List vector stores
      description: >-
        Lists the account's knowledge bases using the OpenAI `vector_store`
        name. See [Knowledge bases](/guides/knowledge-bases).
      operationId: listVectorStores
      parameters:
        - name: after
          in: query
          schema:
            type: string
        - name: before
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: order
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
      responses:
        '200':
          description: A page of vector stores
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/StoredList'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/VectorStore'
components:
  schemas:
    StoredList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            type: object
            additionalProperties: true
        first_id:
          type: string
          nullable: true
        last_id:
          type: string
          nullable: true
        has_more:
          type: boolean
      required:
        - object
        - data
        - has_more
    VectorStore:
      type: object
      description: OpenAI vector store object. This is a knowledge base.
      properties:
        id:
          type: string
          description: Knowledge base id.
        object:
          type: string
          enum:
            - vector_store
        created_at:
          type: integer
        name:
          type: string
        description:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - in_progress
            - completed
        file_counts:
          $ref: '#/components/schemas/VectorStoreFileCounts'
        last_active_at:
          type: integer
        metadata:
          type: object
          additionalProperties: true
        usage_bytes:
          type: integer
        expires_at:
          type: integer
          nullable: true
      required:
        - id
        - object
        - name
        - status
    VectorStoreFileCounts:
      type: object
      properties:
        in_progress:
          type: integer
        completed:
          type: integer
        failed:
          type: integer
        cancelled:
          type: integer
        total:
          type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.